{
  "codeName" : "Main_2",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create",
    "actionName" : "Create",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "create",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
    }
  },
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book/PSFORMS/Main_2.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom",
    "actionName" : "GETDRAFTFROM",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraftfrom",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
    }
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft",
    "actionName" : "GetDraft",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraft",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
    }
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load",
    "actionName" : "Get",
    "actionType" : "DEACTION",
    "dataAccessAction" : "READ",
    "name" : "load",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
    }
  },
  "logicName" : "测试表单",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
  },
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKNAME",
      "codeName" : "BookName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "field",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD",
      "codeName" : "Field"
    }
  }, {
    "id" : "field3",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD3",
      "codeName" : "Field3"
    }
  }, {
    "id" : "field4",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD4",
      "codeName" : "Field4"
    }
  }, {
    "id" : "createman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "CREATEMAN",
      "codeName" : "CreateMan"
    }
  }, {
    "id" : "createdate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "CREATEDATE",
      "codeName" : "CreateDate"
    }
  }, {
    "id" : "updateman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    }
  }, {
    "id" : "updatedate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "bookid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "caption" : "配了重置项的",
      "codeName" : "field",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD",
        "codeName" : "Field"
      },
      "getPSEditor" : {
        "editorParams" : {
          "readonly" : "true"
        },
        "editorType" : "TEXTBOX",
        "maxLength" : 2000,
        "name" : "field",
        "readOnly" : true
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : false,
      "showCaption" : true
    }, {
      "caption" : "属性3",
      "codeName" : "field3",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field3",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD3",
        "codeName" : "Field3"
      },
      "getPSEditor" : {
        "editorParams" : {
          "AC" : "TRUE",
          "TRIGGER" : "TRUE",
          "PICKUPVIEW" : "FALSE"
        },
        "editorType" : "PICKEREX_TRIGGER",
        "handlerType" : "PickupText",
        "name" : "field3",
        "getPSAppDEACMode" : {
          "modelref" : true,
          "id" : "Default"
        },
        "getPSAppDEDataSet" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/BXD.json"
        },
        "getPSEditorItems" : [ {
          "name" : "field4"
        } ],
        "valueItemName" : "field4",
        "enableAC" : true,
        "enablePickupView" : false,
        "forceSelection" : true,
        "showTrigger" : true,
        "singleSelect" : true
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "resetItemName" : "field",
      "resetItemNames" : [ "field" ],
      "valueItemName" : "field4",
      "allowEmpty" : false,
      "showCaption" : true
    }, {
      "caption" : "属性4",
      "codeName" : "field4",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field4",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD4",
        "codeName" : "Field4"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "field4"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "resetItemName" : "field",
      "resetItemNames" : [ "field" ],
      "allowEmpty" : false,
      "hidden" : true,
      "showCaption" : true
    }, {
      "caption" : "关系界面",
      "codeName" : "druipart1",
      "dRItemTag" : "DRItem",
      "detailStyle" : "DEFAULT",
      "detailType" : "DRUIPART",
      "name" : "druipart1",
      "getPSAppView" : {
        "accUserMode" : 2,
        "caption" : "学员信息清单2",
        "codeName" : "ReginfoStuInfoList",
        "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/ReginfoStuInfoList.json",
        "gridRowActiveMode" : 2,
        "memo" : "系统自动添加",
        "name" : "ReginfoStuInfoList",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
        },
        "getPSAppModule" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPMODULES/common.json"
        },
        "getPSAppViewEngines" : [ {
          "engineCat" : "VIEW",
          "engineType" : "GridView",
          "name" : "engine"
        } ],
        "getPSAppViewLogics" : [ {
          "logicTrigger" : "CUSTOM",
          "logicType" : "APPUILOGIC",
          "name" : "newdata",
          "getPSAppUILogic" : {
            "actionAfterWizard" : "DEFAULT",
            "logicType" : "PREDEFINED",
            "name" : "新建数据",
            "getNewDataPSAppView" : {
              "openMode" : "POPUPMODAL",
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/ReginfoEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            },
            "getPSAppUILogicRefViews" : [ {
              "openMode" : "POPUPMODAL",
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/ReginfoEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            } ],
            "viewLogicType" : "APP_NEWDATA",
            "batchAddOnly" : false,
            "enableBatchAdd" : false,
            "enableWizardAdd" : false
          }
        }, {
          "logicTrigger" : "CUSTOM",
          "logicType" : "APPUILOGIC",
          "name" : "opendata",
          "getPSAppUILogic" : {
            "logicType" : "PREDEFINED",
            "name" : "打开数据",
            "getOpenDataPSAppView" : {
              "openMode" : "POPUPMODAL",
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/ReginfoEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            },
            "getPSAppUILogicRefViews" : [ {
              "openMode" : "POPUPMODAL",
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/ReginfoEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            } ],
            "viewLogicType" : "APP_OPENDATA",
            "editMode" : true
          }
        } ],
        "getPSAppViewRefs" : [ {
          "name" : "NEWDATA",
          "realOpenMode" : "POPUPMODAL",
          "realTitle" : "学员登记抬头",
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/ReginfoEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        }, {
          "name" : "EDITDATA",
          "realOpenMode" : "POPUPMODAL",
          "realTitle" : "学员登记抬头",
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/ReginfoEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        } ],
        "getPSControls" : [ {
          "codeName" : "StuInfoListtoolbar",
          "controlType" : "TOOLBAR",
          "logicName" : "工具栏测试",
          "name" : "toolbar",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
          },
          "getPSControlParam" : {
            "id" : "TOOLBAR"
          },
          "getPSDEToolbarItems" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.NEW"
            },
            "caption" : "新建",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction1",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction1"
            },
            "getPSSysImage" : {
              "glyph" : "xf0f6@FontAwesome",
              "cssClass" : "fa fa-file-text-o"
            },
            "getPSUIAction" : {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.NEW"
              },
              "caption" : "新建",
              "codeName" : "New",
              "fullCodeName" : "New",
              "name" : "表格界面_新建操作",
              "getPSSysImage" : {
                "glyph" : "xf0f6@FontAwesome",
                "cssClass" : "fa fa-file-text-o"
              },
              "predefinedType" : "GRIDVIEW_NEWACTION",
              "refreshMode" : 1,
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.NEW"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "New",
              "uIActionType" : "DEUIACTION",
              "reloadData" : true
            },
            "tooltip" : "新建",
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.NEW"
            },
            "showCaption" : true,
            "showIcon" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction2",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction2"
            },
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.EDIT"
              },
              "caption" : "编辑",
              "codeName" : "Edit",
              "fullCodeName" : "Edit",
              "name" : "表格界面_编辑操作",
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "predefinedType" : "GRIDVIEW_EDITACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.EDIT"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Edit",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "编辑",
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "uIActionTarget" : "SINGLEKEY",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "打开视图",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction3",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction3"
            },
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "caption" : "百度",
              "codeName" : "openBaidu",
              "counterId" : "openBaidu",
              "frontProcessType" : "OPENHTMLPAGE",
              "fullCodeName" : "openBaidu",
              "htmlPageUrl" : "https://www.baidu.com/",
              "name" : "百度",
              "getPSAppCounter" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPCOUNTERS/UIActionCounter.json"
              },
              "timeout" : 60000,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openBaidu",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "打开视图",
            "uIActionTarget" : "NONE",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "实体",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction4",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction4"
            },
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "caption" : "打开掘金",
              "codeName" : "openjj",
              "frontProcessType" : "OPENHTMLPAGE",
              "fullCodeName" : "Reginfo_openjj",
              "htmlPageUrl" : "https://juejin.cn/",
              "name" : "打开掘金",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              },
              "timeout" : 60000,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openjj",
              "uIActionType" : "DEUIACTION",
              "id" : "openjj@Reginfo"
            },
            "tooltip" : "实体",
            "uIActionTarget" : "NONE",
            "showCaption" : true,
            "showIcon" : true
          } ],
          "xDataControlName" : "grid",
          "modelid" : "542628D5-63B8-40D7-AF62-4488412CA41D",
          "modeltype" : "PSDETOOLBAR"
        }, {
          "aggMode" : "NONE",
          "codeName" : "Main",
          "columnEnableFilter" : 2,
          "columnEnableLink" : 2,
          "controlType" : "GRID",
          "getCreatePSControlAction" : {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
            }
          },
          "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo/PSGRIDS/Main.json",
          "getFetchPSControlAction" : {
            "modelref" : true,
            "id" : "fetch",
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
            }
          },
          "getGetDraftPSControlAction" : {
            "actionName" : "GetDraft",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "GetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
            }
          },
          "getGetPSControlAction" : {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
            }
          },
          "groupMode" : "NONE",
          "logicName" : "主表格",
          "getNavPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/ReginfoUsr0301946956EditView3.json",
            "viewType" : "DEEDITVIEW3"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            }, {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            }, {
              "actionType" : "DEDATASET",
              "name" : "fetch",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FetchDefault"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            } ],
            "userDRAction" : "READ",
            "enableDEFieldPrivilege" : false,
            "id" : "数据表格处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true,
            "id" : "GRID"
          },
          "getPSDEGridColumns" : [ {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "caption" : "学员登记信息名称",
            "codeName" : "reginfoname",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "reginfoname",
            "excelCaption" : "学员登记信息名称",
            "name" : "reginfoname",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "REGINFONAME",
              "codeName" : "ReginfoName"
            },
            "width" : 100,
            "widthUnit" : "STAR",
            "enableSort" : true
          }, {
            "align" : "CENTER",
            "cLConvertMode" : "NONE",
            "caption" : "单位",
            "codeName" : "department",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "department",
            "excelCaption" : "单位",
            "name" : "department",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "DEPARTMENT",
              "codeName" : "DepartMent"
            },
            "width" : 180,
            "widthUnit" : "PX",
            "enableRowEdit" : true,
            "enableSort" : true
          }, {
            "align" : "RIGHT",
            "cLConvertMode" : "NONE",
            "caption" : "家庭住址",
            "codeName" : "address",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "address",
            "excelCaption" : "家庭住址",
            "name" : "address",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "ADDRESS",
              "codeName" : "Address"
            },
            "width" : 180,
            "widthUnit" : "PX",
            "enableSort" : true,
            "hideDefault" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "caption" : "年龄",
            "codeName" : "age",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "age",
            "excelCaption" : "年龄",
            "name" : "age",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "AGE",
              "codeName" : "Age"
            },
            "width" : 180,
            "widthUnit" : "PX",
            "enableRowEdit" : true,
            "enableSort" : true
          }, {
            "align" : "RIGHT",
            "caption" : "操作",
            "codeName" : "uagridcolumn1",
            "columnType" : "UAGRIDCOLUMN",
            "name" : "uagridcolumn1",
            "noPrivDisplayMode" : 1,
            "getPSDEUIActionGroup" : {
              "codeName" : "A046596b6afb50f9e5b",
              "name" : "操作列",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              },
              "getPSUIActionGroupDetails" : [ {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.EDIT"
                },
                "caption" : "编辑",
                "detailType" : "DEUIACTION",
                "name" : "u479f517",
                "getPSSysImage" : {
                  "imagePath" : "view/caption.svg"
                },
                "getPSUIAction" : {
                  "actionTarget" : "SINGLEKEY",
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "TBB.TEXT.*.EDIT"
                  },
                  "caption" : "编辑",
                  "codeName" : "Edit",
                  "fullCodeName" : "Edit",
                  "name" : "表格界面_编辑操作",
                  "getPSSysImage" : {
                    "glyph" : "xf044@FontAwesome",
                    "cssClass" : "fa fa-edit"
                  },
                  "predefinedType" : "GRIDVIEW_EDITACTION",
                  "timeout" : 60000,
                  "getTooltipPSLanguageRes" : {
                    "lanResTag" : "TBB.TOOLTIP.*.EDIT"
                  },
                  "uIActionMode" : "SYS",
                  "uIActionTag" : "Edit",
                  "uIActionType" : "DEUIACTION"
                },
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.EDIT"
                },
                "addSeparator" : true,
                "showCaption" : true,
                "showIcon" : true
              }, {
                "caption" : "行编辑",
                "detailType" : "DEUIACTION",
                "name" : "ua98d563",
                "getPSUIAction" : {
                  "caption" : "行编辑",
                  "codeName" : "ToggleRowEdit",
                  "fullCodeName" : "ToggleRowEdit",
                  "name" : "表格界面_行编辑开关操作",
                  "getPSSysImage" : {
                    "glyph" : "xf0ce@FontAwesome",
                    "cssClass" : "fa fa-table"
                  },
                  "predefinedType" : "GRIDVIEW_ROWEDITACTION",
                  "timeout" : 60000,
                  "uIActionMode" : "SYS",
                  "uIActionTag" : "ToggleRowEdit",
                  "uIActionType" : "DEUIACTION",
                  "enableToggleMode" : true
                },
                "addSeparator" : true,
                "showCaption" : true,
                "showIcon" : false
              } ],
              "uniqueTag" : "Reginfo__A046596b6afb50f9e5b"
            },
            "width" : 100,
            "widthUnit" : "STAR",
            "enableSort" : false
          } ],
          "getPSDEGridDataItems" : [ {
            "dataType" : 25,
            "name" : "reginfoname",
            "getPSAppDEField" : {
              "name" : "REGINFONAME",
              "codeName" : "ReginfoName"
            }
          }, {
            "dataType" : 25,
            "name" : "department",
            "getPSAppDEField" : {
              "name" : "DEPARTMENT",
              "codeName" : "DepartMent"
            }
          }, {
            "dataType" : 25,
            "name" : "address",
            "getPSAppDEField" : {
              "name" : "ADDRESS",
              "codeName" : "Address"
            }
          }, {
            "dataType" : 9,
            "name" : "age",
            "getPSAppDEField" : {
              "name" : "AGE",
              "codeName" : "Age"
            }
          }, {
            "dataType" : 25,
            "name" : "srfkey",
            "getPSAppDEField" : {
              "name" : "REGINFOID",
              "codeName" : "ReginfoId"
            }
          }, {
            "dataType" : 25,
            "name" : "srfdataaccaction",
            "getPSAppDEField" : {
              "name" : "REGINFOID",
              "codeName" : "ReginfoId"
            },
            "dataAccessAction" : true
          }, {
            "dataType" : 25,
            "name" : "studentid",
            "getPSAppDEField" : {
              "name" : "STUDENTID",
              "codeName" : "StudentId"
            }
          }, {
            "dataType" : 25,
            "name" : "preginfoid",
            "getPSAppDEField" : {
              "name" : "PREGINFOID",
              "codeName" : "Preginfoid"
            }
          }, {
            "dataType" : 25,
            "name" : "preginfoid2",
            "getPSAppDEField" : {
              "name" : "PREGINFOID2",
              "codeName" : "Preginfoid2"
            }
          }, {
            "dataType" : 25,
            "name" : "srfmajortext",
            "getPSAppDEField" : {
              "name" : "REGINFONAME",
              "codeName" : "ReginfoName"
            }
          } ],
          "getPSDEGridEditItemVRs" : [ {
            "checkMode" : 3,
            "name" : "编辑项值规则",
            "getPSDEGridEditItemName" : "age",
            "getPSSysValueRule" : {
              "codeName" : "ValueRule4",
              "dynaModelFilePath" : "PSSYSVALUERULES/ValueRule4.json",
              "name" : "正整数",
              "regExCode" : "[0-9]*[1-9][0-9]*",
              "ruleInfo" : "内容必须为正整数",
              "ruleType" : "REG",
              "enableBackend" : true,
              "enableFront" : true
            },
            "valueRuleType" : "SYSVALUERULE"
          } ],
          "getPSDEGridEditItems" : [ {
            "caption" : "单位",
            "codeName" : "department",
            "enableCond" : 2,
            "ignoreInput" : 0,
            "name" : "department",
            "getPSAppDEField" : {
              "name" : "DEPARTMENT",
              "codeName" : "DepartMent"
            },
            "getPSEditor" : {
              "editorParams" : {
                "autosize" : "{\"minRows\":2,\"maxRows\":6}"
              },
              "editorType" : "TEXTAREA",
              "maxLength" : 100,
              "name" : "department",
              "showMaxLength" : true
            },
            "allowEmpty" : true
          }, {
            "caption" : "年龄",
            "codeName" : "age",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "name" : "age",
            "getPSAppDEField" : {
              "name" : "AGE",
              "codeName" : "Age"
            },
            "getPSEditor" : {
              "editorType" : "NUMBER",
              "name" : "age"
            },
            "allowEmpty" : true
          }, {
            "caption" : "学员登记信息标识",
            "codeName" : "srfkey",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "name" : "srfkey",
            "getPSAppDEField" : {
              "name" : "REGINFOID",
              "codeName" : "ReginfoId"
            },
            "getPSEditor" : {
              "editorType" : "HIDDEN",
              "name" : "srfkey"
            },
            "allowEmpty" : true
          } ],
          "getPSNavigateContexts" : [ {
            "key" : "FORMITEM",
            "name" : "FORMITEM",
            "value" : "32123",
            "rawValue" : true
          }, {
            "key" : "FORMITEM1",
            "name" : "FORMITEM1",
            "value" : "reginfoname",
            "rawValue" : false
          }, {
            "key" : "EMPTY",
            "name" : "EMPTY",
            "rawValue" : true
          } ],
          "getPSNavigateParams" : [ {
            "key" : "formitem5",
            "name" : "formitem5",
            "value" : "age",
            "rawValue" : false
          }, {
            "key" : "formitem3",
            "name" : "formitem3",
            "value" : "21332513",
            "rawValue" : true
          }, {
            "key" : "empty",
            "name" : "empty",
            "rawValue" : true
          } ],
          "pagingSize" : 20,
          "getRemovePSControlAction" : {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
            }
          },
          "sortMode" : "REMOTE",
          "getUpdatePSControlAction" : {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
            }
          },
          "hasWFDataItems" : false,
          "enableColFilter" : false,
          "enableCustomized" : true,
          "enableGroup" : false,
          "enablePagingBar" : true,
          "enableRowEdit" : true,
          "enableRowEditOrder" : false,
          "enableRowNew" : true,
          "forceFit" : false,
          "hideHeader" : false,
          "noSort" : false,
          "singleSelect" : true,
          "name" : "grid",
          "modelid" : "79298f0344beee0b6f745936bb3a2fcd",
          "modeltype" : "PSDEGRID"
        }, {
          "codeName" : "Default",
          "controlType" : "SEARCHFORM",
          "defaultLabelWidth" : 130,
          "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo/PSSEARCHFORMS/Default.json",
          "logicName" : "默认搜索表单",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionType" : "FILTERACTION",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FilterGet"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            }, {
              "actionType" : "FILTERACTION",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FilterGetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            }, {
              "actionType" : "FILTERACTION",
              "name" : "search",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FilterSearch"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            } ],
            "enableDEFieldPrivilege" : false,
            "id" : "搜索表单处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true,
            "id" : "SEARCHFORM"
          },
          "getPSDEFormItems" : [ {
            "id" : "n_studentid_eq",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "STUDENTID",
              "codeName" : "StudentId"
            }
          }, {
            "id" : "n_reginfoname_like",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "REGINFONAME",
              "codeName" : "ReginfoName"
            }
          }, {
            "id" : "n_address_eq",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "ADDRESS",
              "codeName" : "Address"
            }
          }, {
            "id" : "n_department_eq",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "DEPARTMENT",
              "codeName" : "DepartMent"
            }
          }, {
            "id" : "n_age_gtandeq",
            "dataType" : 9,
            "getPSAppDEField" : {
              "name" : "AGE",
              "codeName" : "Age"
            }
          } ],
          "getPSDEFormPages" : [ {
            "caption" : "常规条件",
            "codeName" : "formpage1",
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMPAGE",
            "name" : "formpage1",
            "getPSDEFormDetails" : [ {
              "caption" : "学生标识(等于(=))",
              "codeName" : "n_studentid_eq",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "n_studentid_eq",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "STUDENTID",
                "codeName" : "StudentId"
              },
              "getPSEditor" : {
                "editorType" : "HIDDEN",
                "name" : "n_studentid_eq"
              },
              "getPSLayoutPos" : {
                "colLG" : 8,
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "hidden" : true,
              "showCaption" : true
            }, {
              "caption" : "学员登记信息名称(文本包含(%))",
              "codeName" : "n_reginfoname_like",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "n_reginfoname_like",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "REGINFONAME",
                "codeName" : "ReginfoName"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "name" : "n_reginfoname_like"
              },
              "getPSLayoutPos" : {
                "colLG" : 8,
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "家庭住址",
              "codeName" : "n_address_eq",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "n_address_eq",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "ADDRESS",
                "codeName" : "Address"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "name" : "n_address_eq"
              },
              "getPSLayoutPos" : {
                "colLG" : 8,
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "单位",
              "codeName" : "n_department_eq",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "n_department_eq",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "DEPARTMENT",
                "codeName" : "DepartMent"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "name" : "n_department_eq"
              },
              "getPSLayoutPos" : {
                "colLG" : 8,
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "年龄",
              "codeName" : "n_age_gtandeq",
              "dataType" : 9,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "n_age_gtandeq",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "AGE",
                "codeName" : "Age"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "name" : "n_age_gtandeq"
              },
              "getPSLayoutPos" : {
                "colLG" : 8,
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            } ],
            "getPSLayout" : {
              "childColLG" : 8,
              "childColMD" : 24,
              "childColSM" : -1,
              "childColXS" : -1,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "infoGroupMode" : false
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "searchButtonStyle" : "DEFAULT",
          "tabHeaderPos" : "TOP",
          "enableAdvanceSearch" : false,
          "enableAutoSearch" : false,
          "enableFilterSave" : false,
          "noTabHeader" : true,
          "name" : "searchform",
          "modelid" : "33c3311c3a8092371f63a2ee2b005ec4",
          "modeltype" : "PSDEFORM_SEARCHFORM"
        }, {
          "controlType" : "SEARCHBAR",
          "name" : "searchbar",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
          },
          "getPSControlParam" : {
            "id" : "searchbar"
          },
          "quickGroupCount" : -1,
          "quickSearchMode" : 1,
          "quickSearchWidth" : 0,
          "enableFilter" : false,
          "enableGroup" : false,
          "enableQuickSearch" : true,
          "mobileSearchBar" : false
        }, {
          "caption" : "学员信息清单2",
          "codeName" : "StuInfoListcaptionbar",
          "controlType" : "CAPTIONBAR",
          "name" : "captionbar",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
          },
          "getPSControlParam" : { },
          "getPSSysImage" : {
            "imagePath" : "view/caption.svg"
          }
        } ],
        "getPSDEViewCodeName" : "StuInfoList",
        "getPSDEViewId" : "45692D1C-AC00-4D66-87E3-A6362383AACF",
        "getPSSysImage" : {
          "imagePath" : "view/caption.svg"
        },
        "getPSViewLayoutPanel" : {
          "codeName" : "Layoutpanel",
          "controlStyle" : "APPDEGRIDVIEW",
          "controlType" : "VIEWLAYOUTPANEL",
          "name" : "layoutpanel",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
          },
          "getPSControlParam" : { },
          "layoutBodyOnly" : true,
          "layoutPanel" : true,
          "useDefaultLayout" : true
        },
        "refFlag" : false,
        "title" : "学员信息清单2",
        "viewStyle" : "DEFAULT",
        "viewType" : "DEGRIDVIEW",
        "xDataControlName" : "grid",
        "enableDP" : true,
        "enableExport" : true,
        "enableFilter" : true,
        "enableImport" : true,
        "enableQuickSearch" : true,
        "enableRowEdit" : true,
        "enableSearch" : true,
        "rowEditDefault" : false,
        "modelid" : "fdd41d825a4085f52bb18e7a1e082426",
        "modeltype" : "PSAPPDEVIEW"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "parentDataJO" : {
        "srfparentdefname" : "STUDENTID",
        "srfparentdename" : "STUDENT",
        "SRFPARENTTYPE" : "DER1N",
        "srfparentmode" : "DER1N_REGINFO_STUDENT_STUDENTID",
        "SRFDER1NID" : "DER1N_REGINFO_STUDENT_STUDENTID"
      },
      "needSave" : false,
      "refreshItemsSetParamOnly" : false,
      "showCaption" : true
    }, {
      "caption" : "书标识",
      "codeName" : "bookid",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "bookid",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "bookid"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "hidden" : true,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  }, {
    "caption" : "其它",
    "codeName" : "formpage2",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage2",
    "getPSDEFormDetails" : [ {
      "caption" : "操作信息",
      "codeName" : "group2",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "group2",
      "getPSDEFormDetails" : [ {
        "caption" : "建立人",
        "codeName" : "createman",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "createman",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "createman",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPCODELISTS/SysOperator.json"
          },
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "convertToCodeItemText" : true,
        "showCaption" : true
      }, {
        "caption" : "建立时间",
        "codeName" : "createdate",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "createdate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "createdate",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "更新人",
        "codeName" : "updateman",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "updateman",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "updateman",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPCODELISTS/SysOperator.json"
          },
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "convertToCodeItemText" : true,
        "showCaption" : true
      }, {
        "caption" : "更新时间",
        "codeName" : "updatedate",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "updatedate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "updatedate",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColLG" : -1,
    "childColMD" : 24,
    "childColSM" : -1,
    "childColXS" : -1,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove",
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
    }
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update",
    "actionName" : "Update",
    "actionType" : "DEACTION",
    "dataAccessAction" : "UPDATE",
    "name" : "update",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
    }
  },
  "noTabHeader" : false,
  "modelid" : "4D7A4E64-CB64-4D4D-A392-88FB4ADC56D0",
  "modeltype" : "PSDEFORM_EDITFORM"
}